--
-- Tabellenstruktur fr Tabelle `xplugin_mid_albisleasing_antraege`
--

CREATE TABLE `xplugin_mid_albisleasing_antraege` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`orderId` INT(5) NOT NULL,
	`antragId` INT(11) NOT NULL,
	`kundeId` INT(11) NOT NULL,
	PRIMARY KEY (`id`) USING BTREE
) COLLATE='utf8_unicode_ci' ENGINE=InnoDB;

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `xplugin_mid_albisleasing_provision`
--
CREATE TABLE `xplugin_mid_albisleasing_provision` (
  `id` int(11) NOT NULL,
  `value` double NOT NULL,
  `text` varchar(50) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Daten fr Tabelle `xplugin_mid_albisleasing_provision`
--

INSERT INTO `xplugin_mid_albisleasing_provision` (`id`, `value`, `text`) VALUES
(1, 99, 'Nicht festgelegt'),
(2, 0, '0%'),
(3, 0.5, '0,5%'),
(4, 1, '1%'),
(5, 1.5, '1,5%'),
(6, 2, '2%'),
(7, 2.5, '2,5%'),
(8, 3, '3%'),
(9, 3.5, '3,5%'),
(10, 4, '4%'),
(11, 4.5, '4,5%'),
(12, 5, '5%');

-- --------------------------------------------------------

--
-- Tabellenstruktur fr Tabelle `xplugin_mid_albisleasing_settings`
--
CREATE TABLE `xplugin_mid_albisleasing_settings` (
	`id` INT(11) NOT NULL,
	`auth0User` VARCHAR(100) NOT NULL COLLATE 'utf8_unicode_ci',
	`auth0Pass` VARCHAR(100) NOT NULL COLLATE 'utf8_unicode_ci',
	`realm` VARCHAR(100) NOT NULL COLLATE 'utf8_unicode_ci',
	`provision` DECIMAL(10,0) NOT NULL,
	`produktgruppe` INT(11) NOT NULL,
	`albispass` VARCHAR(100) NOT NULL COLLATE 'utf8_unicode_ci',
	`albisuser` VARCHAR(100) NOT NULL COLLATE 'utf8_unicode_ci',
  `selectorbutton` VARCHAR(150) NOT NULL COLLATE 'utf8_unicode_ci',
  `modus` INT(11) NOT NULL,
  `leasebuttonab` INT(11) NOT NULL,
  `leasebuttonbgfarbe` VARCHAR(10) NULL COLLATE 'utf8_unicode_ci',
	UNIQUE INDEX `id` (`id`) USING BTREE
)  ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


CREATE TABLE `xplugin_mid_albisleasing_token` (
	`id` INT(11) NOT NULL,
	`token` TEXT NOT NULL COLLATE 'utf8_unicode_ci',
	`expires` INT(11) NOT NULL,
	UNIQUE INDEX `id` (`id`) USING BTREE
)  ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `xplugin_mid_albisleasing_token` (`id`, `token`, `expires`) VALUES
(1, 'token', 1000000000);
